package com.ruoyi.bst.store.service;

import java.util.List;

public interface StoreValidator {


    /**
     * 判断当前用户是否可以编辑店铺
     * @param storeId 分区ID
     * @return 是否允许
     */
    boolean canEdit(Long storeId);

    /**
     * 判断当前用户是否可以删除店铺
     * @param storeIds 分区ID
     * @return 是否允许
     */
    boolean canDeleteAll(List<Long> storeIds);

    /**
     * 判断当前用户是否可以选择制定分区
     * @param storeId 分区ID
     * @return 是否允许
     */
    boolean canCheckForStore(Long storeId);



}
